"use strict";

var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = usePrintLayout;
var _slicedToArray2 = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@babel/runtime/helpers/slicedToArray"));
var _react = /*#__PURE__*/require("react");
var _calcCellRange = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("../reducer/helper/calcCellRange"));
function usePrintLayout() {
  var _useState = (0, _react.useState)(),
    _useState2 = (0, _slicedToArray2.default)(_useState, 2),
    editingCell = _useState2[0],
    setEditingCell = _useState2[1];
  var _useState3 = (0, _react.useState)(),
    _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
    selectedRange = _useState4[0],
    setSelectedRange = _useState4[1];
  var _useState5 = (0, _react.useState)(),
    _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
    editor = _useState6[0],
    setEditor = _useState6[1];
  var calcCellRange = (0, _react.useCallback)(function (startPos, endPos) {
    var merges = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : [];
    setSelectedRange((0, _calcCellRange.default)(startPos, endPos, merges));
  }, []);
  var _useState7 = (0, _react.useState)(false),
    _useState8 = (0, _slicedToArray2.default)(_useState7, 2),
    contextMenuShow = _useState8[0],
    setContextMenuShow = _useState8[1];
  var _useState9 = (0, _react.useState)(),
    _useState10 = (0, _slicedToArray2.default)(_useState9, 2),
    cellRangeForCopyOrCut = _useState10[0],
    setCellRangeForCopyOrCut = _useState10[1];
  var _useState11 = (0, _react.useState)(),
    _useState12 = (0, _slicedToArray2.default)(_useState11, 2),
    copyOrCut = _useState12[0],
    setCopyOrCut = _useState12[1];
  return {
    editingCell: editingCell,
    selectedRange: selectedRange,
    setSelectedRange: setSelectedRange,
    calcCellRange: calcCellRange,
    contextMenuShow: contextMenuShow,
    setContextMenuShow: setContextMenuShow,
    editor: editor,
    setEditor: setEditor,
    cellRangeForCopyOrCut: cellRangeForCopyOrCut,
    setCellRangeForCopyOrCut: setCellRangeForCopyOrCut,
    copyOrCut: copyOrCut,
    setCopyOrCut: setCopyOrCut,
    setEditingCell: setEditingCell
  };
}