"use strict";

var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getAllCellsInRange;
var _slicedToArray2 = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@babel/runtime/helpers/slicedToArray"));
/**
 * 获取指定范围内所有单元格
 *
 * @param range 指定区域范围
 * @returns
 */
function getAllCellsInRange(range) {
  var _range = (0, _slicedToArray2.default)(range, 2),
    _range$ = (0, _slicedToArray2.default)(_range[0], 2),
    sri = _range$[0],
    sci = _range$[1],
    _range$2 = (0, _slicedToArray2.default)(_range[1], 2),
    tri = _range$2[0],
    tci = _range$2[1];
  var selectedCells = [];
  for (var i = sri; i <= tri; i += 1) {
    for (var j = sci; j <= tci; j += 1) {
      selectedCells.push([i, j]);
    }
  }
  return selectedCells;
}