/// <reference types="react" />
import type { CellPos, CellRange } from '../reducer';
declare function ContextMenu({ pos, contextMenuShow, setContextMenuShow, selectedRange, copyOrCut, setCopyOrCut, cellRangeForCopyOrCut, setCellRangeForCopyOrCut, setSelectedRange, }: {
    pos?: CellPos;
    contextMenuShow: boolean;
    setContextMenuShow: (flag: boolean) => void;
    selectedRange?: CellRange;
    copyOrCut?: 'cut' | 'copy';
    setCopyOrCut: (type: 'cut' | 'copy') => void;
    cellRangeForCopyOrCut?: CellRange;
    setCellRangeForCopyOrCut: (range?: CellRange) => void;
    setSelectedRange: (range: CellRange) => void;
}): JSX.Element | null;
declare const _default: import("react").MemoExoticComponent<typeof ContextMenu>;
export default _default;
