import { CustomEditor as CustomEditorType } from '../dev';
declare const CustomEditor: {
    isBoldMarkActive(editor: CustomEditorType): boolean;
    isItalicActive(editor: CustomEditorType): boolean;
    isUnderLineMarkActive(editor: CustomEditorType): boolean;
    isDeleteLineMarkActive(editor: CustomEditorType): boolean;
    getFontFamily(editor: CustomEditorType): any;
    getFontSize(editor: CustomEditorType): any;
    toggleBoldMark(editor: CustomEditorType): void;
    toggleItalicMark(editor: CustomEditorType): void;
    toggleUnderLineMark(editor: CustomEditorType): void;
    toggleDeleteLineMark(editor: CustomEditorType): void;
    changeTextColor(editor: CustomEditorType, color: Object): void;
    toggeleFontSize(editor: CustomEditorType, fontSize: string): void;
    toggeleFontFamily(editor: CustomEditorType, fontFamily: string): void;
};
export default CustomEditor;
