"use strict";

var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _jsxRuntime = /*#__PURE__*/require("react/jsx-runtime");
var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));
var _styledComponents = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("styled-components"));
var _Table = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("./layout/Table"));
var _fieldItems = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("./field-items"));
var LayoutWrapper = /*#__PURE__*/_styledComponents.default.div.withConfig({
  displayName: "CustomPrintLayout__LayoutWrapper",
  componentId: "sc-pvft2s-0"
})(["display:flex;width:100%;height:100%;flex-wrap:no-wrap;"]);
var CustomPrintLayout = /*#__PURE__*/_react.default.forwardRef(function (_ref, ref) {
  var config = _ref.config,
    fieldItems = _ref.fieldItems;
  return (0, _jsxRuntime.jsxs)(LayoutWrapper, {
    className: "sino-custom-print-layout",
    children: [(0, _jsxRuntime.jsx)(_fieldItems.default, {
      fieldItems: fieldItems
    }), (0, _jsxRuntime.jsx)(_Table.default, {
      config: config,
      fieldItems: fieldItems,
      ref: ref
    })]
  });
});
var _default = CustomPrintLayout;
exports.default = _default;