import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import React from 'react';
import Scrollbar from '@sinoui/core/Scrollbar';
import styled from 'styled-components';
import H5 from '@sinoui/core/H5';
import FieldItem from './FieldItem';
const Layout = styled.div `
  box-sizing: border-box;
  padding: 10px;
  width: 270px;
  flex-shrink: 0;
`;
const Divider = styled.div `
  border-bottom: 1px solid #e9e9e9;
  margin-left: ${({ level }) => level * 20}px;
  & + & {
    border-bottom: none;
  }
`;
function InnerItems({ fieldItems = [], level = 0, }) {
    return (_jsx(_Fragment, { children: fieldItems.map((item) => (_jsxs(React.Fragment, { children: [item.children && _jsx(Divider, { level: level }), _jsx(FieldItem, { item: item, level: level }), item.children && (_jsx(InnerItems, { level: level + 1, fieldItems: item.children })), item.children && _jsx(Divider, { level: level })] }, item.id))) }));
}
export default function FieldItems({ fieldItems = [], level = 0, }) {
    return (_jsx(Layout, { children: _jsxs(Scrollbar, { style: { height: 'calc(100vh - 70px)', width: '100%' }, children: [_jsx(H5, { children: "\u53EF\u9009\u8868\u5355\u9879" }), _jsx(InnerItems, { fieldItems: fieldItems, level: level })] }) }));
}
