/**
 * 获取指定范围内所有单元格
 *
 * @param range 指定区域范围
 * @returns
 */
export default function getAllCellsInRange(range) {
    const [[sri, sci], [tri, tci]] = range;
    const selectedCells = [];
    for (let i = sri; i <= tri; i += 1) {
        for (let j = sci; j <= tci; j += 1) {
            selectedCells.push([i, j]);
        }
    }
    return selectedCells;
}
