"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.eventbus = exports.SPYJ = exports.SECOND_LEVEL_MENU = exports.PRINT_LAYOUT_DRAG_ITEM = exports.PAGE_SIZES = exports.MIN_CELL_HEIGHT = exports.EDITOR_CHANGE = exports.DEFAULT_PADDING_HORIZONTAL = exports.DEFAULT_MENU_WIDTH = exports.DEFAULT_MENU_HEIGHT = exports.BorderType = void 0;
var _events = /*#__PURE__*/require("events");
var DEFAULT_PADDING_HORIZONTAL = 23.7;
exports.DEFAULT_PADDING_HORIZONTAL = DEFAULT_PADDING_HORIZONTAL;
var DEFAULT_MENU_WIDTH = 100;
exports.DEFAULT_MENU_WIDTH = DEFAULT_MENU_WIDTH;
var DEFAULT_MENU_HEIGHT = 32 * 7;
exports.DEFAULT_MENU_HEIGHT = DEFAULT_MENU_HEIGHT;
var MIN_CELL_HEIGHT = 20;
exports.MIN_CELL_HEIGHT = MIN_CELL_HEIGHT;
var BorderType;
exports.BorderType = BorderType;
(function (BorderType) {
  /**
   * 全边框
   */
  BorderType["BORDER_ALL"] = "BORDER_ALL";
  /**
   * 内边框
   */
  BorderType["BORDER_INNER"] = "BORDER_INNER";
  /**
   * 水平边框
   */
  BorderType["BORDER_HORIZONTAL"] = "BORDER_HORIZONTAL";
  /**
   * 垂直边框
   */
  BorderType["BORDER_VERTICAL"] = "BORDER_VERTICAL";
  /**
   * 外边框
   */
  BorderType["BORDER_OUTER"] = "BORDER_OUTER";
  /**
   * 左边框
   */
  BorderType["BORDER_LEFT"] = "BORDER_LEFT";
  /**
   * 上边框
   */
  BorderType["BORDER_TOP"] = "BORDER_TOP";
  /**
   * 右边框
   */
  BorderType["BORDER_RIGHT"] = "BORDER_RIGHT";
  /**
   * 下边框
   */
  BorderType["BORDER_BOTTOM"] = "BORDER_BOTTOM";
  /**
   * 无边框
   */
  BorderType["BORDER_CLEAR"] = "BORDER_CLEAR";
})(BorderType || (exports.BorderType = BorderType = {}));
var PRINT_LAYOUT_DRAG_ITEM = 'PRINT_LAYOUT_DRAG_ITEM';
exports.PRINT_LAYOUT_DRAG_ITEM = PRINT_LAYOUT_DRAG_ITEM;
var SPYJ = {
  id: 'field_ideaList',
  fieldName: 'ideaList',
  title: '审批意见',
  type: 'ideaList'
};
exports.SPYJ = SPYJ;
var PAGE_SIZES = ['A3', 'A4', 'A5', 'B4', 'B5'];
exports.PAGE_SIZES = PAGE_SIZES;
var eventbus = /*#__PURE__*/new _events.EventEmitter();
/**
 * 编辑器改变事件名称
 */
exports.eventbus = eventbus;
var EDITOR_CHANGE = 'editorChange';
exports.EDITOR_CHANGE = EDITOR_CHANGE;
var SECOND_LEVEL_MENU = 'second-level-menu';
exports.SECOND_LEVEL_MENU = SECOND_LEVEL_MENU;