"use strict";

var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = FieldItems;
var _jsxRuntime = /*#__PURE__*/require("react/jsx-runtime");
var _react = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("react"));
var _Scrollbar = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/Scrollbar"));
var _styledComponents = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("styled-components"));
var _H = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("@sinoui/core/H5"));
var _FieldItem = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("./FieldItem"));
var Layout = /*#__PURE__*/_styledComponents.default.div.withConfig({
  displayName: "FieldItems__Layout",
  componentId: "sc-1ygvtwp-0"
})(["box-sizing:border-box;padding:10px;width:270px;flex-shrink:0;"]);
var Divider = /*#__PURE__*/_styledComponents.default.div.withConfig({
  displayName: "FieldItems__Divider",
  componentId: "sc-1ygvtwp-1"
})(["border-bottom:1px solid #e9e9e9;margin-left:", "px;& + &{border-bottom:none;}"], function (_ref) {
  var level = _ref.level;
  return level * 20;
});
function InnerItems(_ref2) {
  var _ref2$fieldItems = _ref2.fieldItems,
    fieldItems = _ref2$fieldItems === void 0 ? [] : _ref2$fieldItems,
    _ref2$level = _ref2.level,
    level = _ref2$level === void 0 ? 0 : _ref2$level;
  return (0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: fieldItems.map(function (item) {
      return (0, _jsxRuntime.jsxs)(_react.default.Fragment, {
        children: [item.children && (0, _jsxRuntime.jsx)(Divider, {
          level: level
        }), (0, _jsxRuntime.jsx)(_FieldItem.default, {
          item: item,
          level: level
        }), item.children && (0, _jsxRuntime.jsx)(InnerItems, {
          level: level + 1,
          fieldItems: item.children
        }), item.children && (0, _jsxRuntime.jsx)(Divider, {
          level: level
        })]
      }, item.id);
    })
  });
}
function FieldItems(_ref3) {
  var _ref3$fieldItems = _ref3.fieldItems,
    fieldItems = _ref3$fieldItems === void 0 ? [] : _ref3$fieldItems,
    _ref3$level = _ref3.level,
    level = _ref3$level === void 0 ? 0 : _ref3$level;
  return (0, _jsxRuntime.jsx)(Layout, {
    children: (0, _jsxRuntime.jsxs)(_Scrollbar.default, {
      style: {
        height: 'calc(100vh - 70px)',
        width: '100%'
      },
      children: [(0, _jsxRuntime.jsx)(_H.default, {
        children: "\u53EF\u9009\u8868\u5355\u9879"
      }), (0, _jsxRuntime.jsx)(InnerItems, {
        fieldItems: fieldItems,
        level: level
      })]
    })
  });
}