"use strict";

var _interopRequireDefault = /*#__PURE__*/require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = FieldItem;
var _jsxRuntime = /*#__PURE__*/require("react/jsx-runtime");
var _styledComponents = /*#__PURE__*/_interopRequireDefault( /*#__PURE__*/require("styled-components"));
var ItemLayout = /*#__PURE__*/_styledComponents.default.div.withConfig({
  displayName: "FieldItem__ItemLayout",
  componentId: "sc-17lzvs1-0"
})(["width:100%;font-size:14px;height:28px;line-height:28px;margin-top:8px;padding-left:", "px;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;cursor:move;"], function (props) {
  return props.level * 20;
});
var ItemText = /*#__PURE__*/_styledComponents.default.div.withConfig({
  displayName: "FieldItem__ItemText",
  componentId: "sc-17lzvs1-1"
})(["overflow:hidden;text-overflow:ellipsis;white-space:nowrap;"]);
function FieldItem(_ref) {
  var item = _ref.item,
    level = _ref.level;
  var handleDragStart = function handleDragStart(event) {
    event.dataTransfer.setData('field', JSON.stringify(item));
  };
  return (0, _jsxRuntime.jsx)(ItemLayout, {
    draggable: !item.forbidden ? 'true' : 'false',
    level: level,
    onDragStart: handleDragStart,
    children: (0, _jsxRuntime.jsx)(ItemText, {
      children: item.title
    })
  });
}